<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>About Teamtrack 1.0</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/css/all.min.css">
    <style>
        body {
            padding-top: 20px;
            font-family: 'Roboto', sans-serif;
            background-color: #f4f4f4;
            color: #333;
        }
        .container {
            max-width: 800px;
            margin: auto;
            background: white;
            padding: 20px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        h1, h3 {
            font-family: 'Montserrat', sans-serif;
            color: #2c3e50;
        }
        .link-primary {
            color: #2980b9;
        }
        .link-primary:hover {
            color: #21618c;
        }
        .carousel-item img {
            width: 100%;
            height: 500px;
        }
        .carousel-control-prev-icon,
        .carousel-control-next-icon {
            background-color: #2c3e50;
            padding: 10px;
            border-radius: 50%;
        }
        .author-card {
            margin-bottom: 15px;
            padding: 15px;
            background-color: #f8f9fa;
            border: 1px solid #e3e3e3;
            border-radius: 5px;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        }
        .author-name {
            color: #2c3e50;
            margin-bottom: 10px;
        }
        .social-icons a {
            margin-right: 10px;
            color: #6c757d;
        }
        .social-icons a:hover {
            color: #007bff;
        }
        .fab.fa-github {
            color: #333;
        }
    </style>
</head>
<body>
<div class="container">
    <h1 class="text-center mb-4">About Teamtrack 1.0</h1>
    <p class="lead">Teamtrack is a web application that allows users to create and manage teams. It is built using
        Vue.js, Firebase, and Tailwind CSS.</p>
    <p>Teamtrack is a project for the course RIRS at the University of Maribor FERI.</p>
    <p>Teamtrack is created by:</p>
    <div class="author-card">
        <h5 class="author-name">Filip Polner</h5>
        <div class="social-icons">
            <a href="https://facebook.com/filip.polner" target="_blank"><i class="fab fa-facebook-f"></i></a>
            <a href="https://twitter.com/filip.polner" target="_blank"><i class="fab fa-twitter"></i></a>
            <a href="https://linkedin.com/in/filip.polner" target="_blank"><i class="fab fa-linkedin-in"></i></a>
            <a href="https://github.com/filip.polner" target="_blank"><i class="fab fa-github"></i></a>
        </div>
    </div>
    <div class="author-card">
        <h5 class="author-name">Filip Lesjak</h5>
        <div class="social-icons">
            <a href="https://facebook.com/filip.lesjak" target="_blank"><i class="fab fa-facebook-f"></i></a>
            <a href="https://twitter.com/filip.lesjak" target="_blank"><i class="fab fa-twitter"></i></a>
            <a href="https://linkedin.com/in/filip.lesjak" target="_blank"><i class="fab fa-linkedin-in"></i></a>
            <a href="https://github.com/filip.lesjak" target="_blank"><i class="fab fa-github"></i></a>
        </div>
    </div>
    <div class="author-card">
        <h5 class="author-name">Tine Šuster</h5>
        <div class="social-icons">
            <a href="https://facebook.com/tine.suster" target="_blank"><i class="fab fa-facebook-f"></i></a>
            <a href="https://twitter.com/tine.suster" target="_blank"><i class="fab fa-twitter"></i></a>
            <a href="https://linkedin.com/in/tine.suster" target="_blank"><i class="fab fa-linkedin-in"></i></a>
            <a href="https://github.com/filip.lesjak" target="_blank"><i class="fab fa-github"></i></a>
        </div>
    </div>
    <p style="font-weight: bold">Link to the firebase project: <a href="https://teamtrack-8f6e0.web.app/" class="link-primary">https://teamtrack-8f6e0.web.app/</a>
    </p>
    <p style="font-weight: bold">Link to the gitlab repo: <a href="https://gitlab.com/wouterdm/teamtrack" class="link-primary">https://gitlab.com/wouterdm/teamtrack</a>
    </p>
    <h3>Some screenshots:</h3>
    <div id="imageCarousel" class="carousel slide" data-ride="carousel">
        <ol class="carousel-indicators">
            <li data-target="#imageCarousel" data-slide-to="0" class="active"></li>
            <li data-target="#imageCarousel" data-slide-to="1"></li>
            <li data-target="#imageCarousel" data-slide-to="2"></li>
            <li data-target="#imageCarousel" data-slide-to="3"></li>
            <li data-target="#imageCarousel" data-slide-to="4"></li>
        </ol>

        <div class="carousel-inner">
            <div class="carousel-item active">
                <img src="images/employees-overview.png" alt="Employees overview page">
            </div>
            <div class="carousel-item">
                <img src="images/employees-add.png" alt="Employees add page">
            </div>
            <div class="carousel-item">
                <img src="images/salaries-overview.png" alt="Salaries overview page">
            </div>
            <div class="carousel-item">
                <img src="images/notifications-overview.png" alt="Notifications overview page">
            </div>
            <div class="carousel-item">
                <img src="images/notifications-add.png" alt="Employees add page">
            </div>
        </div>

        <a class="carousel-control-prev" href="#imageCarousel" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
        </a>
        <a class="carousel-control-next" href="#imageCarousel" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
        </a>
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
</body>
</html>
